/**
 * Copyright (c) 2025 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include "dusk.h"

typedef struct client_s client_t;
typedef struct clientconnect_s clientconnect_t;

typedef struct {
  void *nothing;
} networkclient_t;

/**
 * Initialize the client.
 * 
 * @param client The client to initialize.
 * @param connect The connection information.
 */
void networkClientConnect(client_t *client, const clientconnect_t connect);